#procedure CustomizeDen
****************************************************************************
**
**  Filename:
**            CustomizeDen
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Simplify denominators.
**
**  Comments:
**
**
**  Revision: 
**            $Id: CustomizeDen.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: CustomizeDen.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
id den(x1) = 1/x1;
id den(x2) = 1/x2;
id den(x1^2) = 1/x1^2;
id den(x2^2) = 1/x2^2;
id den(x1^3) = 1/x1^3;
id den(x2^3) = 1/x2^3;
id den(x1^4) = 1/x1^4;
id den(x2^4) = 1/x2^4;
id den(x1^5) = 1/x1^5;
id den(x2^5) = 1/x2^5;
id den(x1*x2) = 1/x1/x2;
id den(x1^(-1)*x2) = x1/x2;
id den(x2^(-1)*x1) = x2/x1;
id den(x1^(-1)*x2^2) = x1/x2^2;
id den(x2^(-1)*x1^2) = x2/x1^2;
id den(x1^(-1)*x2^3) = x1/x2^3;
id den(x2^(-1)*x1^3) = x2/x1^3;
id den(x1^(-1)*x2^4) = x1/x2^4;
id den(x2^(-1)*x1^4) = x2/x1^4;
id den(x1^(-1)*x2^5) = x1/x2^5;
id den(x2^(-1)*x1^5) = x2/x1^5;
id den(x1^2 + x1*x2) = 1/x1*den(x1 + x2);
id den(x2^2 + x1*x2) = 1/x2*den(x1 + x2);
id den(x1^2*x2+x1^3)=1/x1^2*den(x1+x2);
id den(x2^2*x1+x2^3)=1/x2^2*den(x1+x2);
id den(1 + x1^(-1)*x2) = x1*den(x1 + x2);
id den(1 + x2^(-1)*x1) = x2*den(x1 + x2);
id den(2*x1*x2+x1^2+x2^2) = den(x1 + x2)^2;
id den(x2*x1^(-1) + x2^2*x1^(-2)) = x1^2/x2*den(x1 + x2);
id den(x1*x2^(-1) + x1^2*x2^(-2)) = x2^2/x1*den(x1 + x2);
id den(x1^(-1)*x2^3+x2^2) = x1/x2^2*den(x1+x2);
id den(x1^(-1)*x2^2-1/(x1+x2)*x2^2)=x1*(x1+x2)/x2^3;
id den(1 - den(x1 + x2)*x1) = 1+x1/x2;
id den(1 - den(x1 + x2)*x2) = 1+x2/x1;
id den(x1^(-1)*x2^2 + x1 + 2*x2) = x1*den(x1+x2)^2;
id den(x2^(-1)*x1^2 + x2 + 2*x1) = x2*den(x1+x2)^2;
id den(x1^(-1)*x2^2 + x2) = x1/x2*den(x1+x2);
id den(x2^(-1)*x1^2 + x1) = x2/x1*den(x1+x2);
id den(den(x1 + x2)*x1*x2 + den(x1 + x2)*x1^2) = 1/x1;
id den(den(x1 + x2)*x1*x2 + den(x1 + x2)*x2^2) = 1/x2;
id den(1+x1^(-1)*x2-den(x1+x2)*x1^(-1)*x2^2-den(x1+x2)*x2) = 1;
id den(1+x2^(-1)*x1-den(x1+x2)*x2^(-1)*x1^2-den(x1+x2)*x1) = 1;
id den(1 - den(x1 + x2)*x1*x2 - den(x1 + x2)*x2^2) = den(1 - x2);
id den(1 - den(x1 + x2)*x1*x2 - den(x1 + x2)*x1^2) = den(1 - x1);
id den(1 - x1 - x2 + den(x1 + x2)*x1*x2 + den(x1 + x2)*x2^2) = den(1 - x1);
id den(1 - x1 - x2 + den(x1 + x2)*x1*x2 + den(x1 + x2)*x1^2) = den(1 - x2);
id den(1 - x1^(-1)*x2^2 - x1 - 2*x2 + den(x1 + x2)*x1^(-1)*
		x2^3 + den(x1 + x2)*x1*x2 + 2*den(x1 + x2)*x2^2) = den(1 - x1 -x2);
id den(-1+x1^(-1)*x2+den(x1+x2)*x1) = x1/x2^2*(x1+x2);
id den(-1+x2^(-1)*x1+den(x1+x2)*x2) = x2/x1^2*(x1+x2);
id den(1+x1^(-1)*x2-den(x1+x2)*x1^(-1)*x2^2-den(x1+x2)*x2) = 1;

id den(1-den(x1+x2)*x1)=(x1+x2)/x2;
id den(1-den(x1+x2)*x2)=(x1+x2)/x1;
id den(den(x1 + x2)*x1) = (x1 + x2)/x1;
id den(den(x1 + x2)*x1^2) = (x1 + x2)/x1^2;
id den(den(x1 + x2)*x2) = (x1 + x2)/x2;
id den(den(x1 + x2)*x2^2) = (x1 + x2)/x2^2;

repeat id x1?*den(x1?) = 1;

Argument den;
	repeat id x2*den(1-x1-x2) = -1 + num(1-x1)*den(1-x1-x2);
	repeat id num(x?)*den(x?) = 1;
	id num(x?) = x;
	repeat id x1*den(x1+x2) = 1 - x2*den(x1+x2);
	repeat id x1*den(1-x1) = -1 + den(1-x1);
	repeat id x2*den(1-x2) = -1 + den(1-x2);
	id den(x?) = 1/x;
EndArgument;

id den(x1^(-2)*x2^2) = x2^(-2)*x1^2;
id den(x2^(-2)*x1^2) = x1^(-2)*x2^2;
id den(x1^(-2)*x2^3) = x2^(-3)*x1^2;
id den(x2^(-2)*x1^3) = x1^(-3)*x2^2;
id den(1/(x1+x2)*x1) = (x1+x2)/x1;
id den(1/(x1+x2)*x2) = (x1+x2)/x2;
id den(1-1/(x1+x2)*x1)=(x1+x2)/x2;
id den(1-1/(x1+x2)*x2)=(x1+x2)/x1;
id den(x1^(-1)*x2^3+3*x1*x2+x1^2+3*x2^2) = x1*den(x1+x2)^3;
id den(1/(x1+x2)*x1^2) = (x1+x2)/x1^2;
id den(1/(x1+x2)*x2^2) = (x1+x2)/x2^2;
id den(1/(x1+x2)*x1^3) = (x1+x2)/x1^3;
id den(1/(x1+x2)*x2^3) = (x1+x2)/x2^3;
id den(x1^(-2)*x2^3+2*x1^(-1)*x2^2+x2) = x1^2/x2*den(x1+x2)^2;
id den(x2-1/(x1+x2)*x2^2) = (x1+x2)/x1/x2;
id den(x1-1/(x1+x2)*x1^2) = (x1+x2)/x1/x2;
id den(-1+x1^(-1)*x2+1/(x1+x2)*x1) = x1/x2^2*(x1+x2);
id den(-1+x2^(-1)*x1+1/(x1+x2)*x2) = x2/x1^2*(x1+x2);
id den(1+x1^(-1)*x2-1/(x1+x2)*x1^(-1)*x2^2-1/(x1+x2)*x2) = 1;
id den(-x1*x2+x1^2+x2^2-1/(x1+x2)*x2^3) = (x1+x2)/x1^3;
id den(x1^(-1)*x2^3+x1*x2+2*x2^2)=x1/x2*den(x1+x2)^2;
id den(x2+1/(x1+x2)*x1^(-1)*x2^3-1/(x1+x2)/(x1+x2)*x1^(-1)*x2^4
	-1/(x1+x2)/(x1+x2)*x2^3) = 1/x2;
id den(x1^(-1)*x2^2+x1+x2-1/(x1+x2)*x1^(-1)*x2^3-1/(x1+x2)*x2^2) = den(x1+x2);
id den(1-x2-1/(x1+x2)*x1^(-1)*x2^3+1/(x1+x2)/(x1+x2)*x1^(-1)*x2^4
	+1/(x1+x2)/(x1+x2)*x2^3) = den(1-x2);
id den(1-x1^(-1)*x2^2-x1+2/(x1+x2)*x1^(-1)*x2^3+1/(x1+x2)*x2^2
	-1/(x1+x2)/(x1+x2)*x1^(-1)*x2^4-1/(x1+x2)/(x1+x2)*x2^3) = den(1-x1);

#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
