#procedure CustomizeFac
****************************************************************************
**
**  Filename:
**            CustomizeFac
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Do some simplifications
**
**  Comments:
**
**
**  Revision: 
**            $Id: CustomizeFac.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: CustomizeFac.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*

id Li(R(1,1,1),X(x1?,x1?,x1?!{,1})) = 
				- Li(R(1,2),X(x1,x1^2))/3
				- Li(R(2,1),X(x1^2,x1))/3
				+ Li(R(1),X(x1))*Li(R(1,1),X(x1,x1))/3;

id Li(R(1,1),X(x1?,x1?!{,1})) = 
				- Li(R(2),X(x1^2))/2 
				+ Li(R(1),X(x1))^2/2;

id Li(R(1,1,1),X(1,1,x1?)) = -ln(1-x1)^3/6;
id Li(R(1,1),X(1,x1?)) 	   = +ln(1-x1)^2/2;
id Li(R(1),X(x1?)) 	       = -ln(1-x1);
id ln(den(x1?)) 	         = -ln(x1);

#do var1 = {-x1,1+x1,1-den(-x1),1-den(1+x1)}
	id Li(R(1,1,1),X(x2?,x2?!{,1},`var1')) =
       - Li(R(1,1,1),X(`var1',x2,x2)) * ( 1 )
       - Li(R(1,1,1),X(x2,`var1',x2)) * ( 1 )
       - Li(R(1,2),X(x2,(`var1')*x2)) * ( 1 )
       - Li(R(2,1),X((`var1')*x2,x2)) * ( 1 )
       + Li(R(1),X(x2))*Li(R(1,1),X(x2,`var1'));
#enddo


#do var1 = {-x1}
	#do var2 = {1+x1,1-den( - x1),1-den(1+x1)}
		id Li(R(1,1,1),X(`var2',1,`var1')) = 
       - Li(R(1,1,1),X(1,`var2',`var1')) * ( 1 )
       - Li(R(1,1,1),X(1,`var1',`var2')) * ( 1 )
       - Li(R(1,2),X(1,(`var2')*(`var1'))) * ( 1 )
       - Li(R(2,1),X(`var2',`var1')) * ( 1 )
       + Li(R(1),X(`var2'))*Li(R(1,1),X(1,`var1')) * ( 1 );
			#do var3 = {1+x1}
				id Li(R(1,1,1),X(`var3',`var2',`var1')) = 
       		- Li(R(1,1,1),X(`var1',`var2',`var3'))
       		- Li(R(1,1,1),X(`var1',`var3',`var2'))
       		- Li(R(1,1,1),X(`var2',`var1',`var3'))
       		- Li(R(1,1,1),X(`var2',`var3',`var1'))
       		- Li(R(1,1,1),X(`var3',`var1',`var2'))
       		- Li(R(1,2),X(`var1',(`var2')*(`var3')))
       		- Li(R(1,2),X(`var2',(`var1')*(`var3')))
       		- Li(R(1,2),X(`var3',(`var1')*(`var2')))
       		- Li(R(2,1),X((`var1')*(`var2'),`var3'))
       		- Li(R(2,1),X((`var1')*(`var3'),`var2'))
       		- Li(R(2,1),X((`var2')*(`var3'),`var1'))
       		- Li(R(3),X((`var1')*(`var2')*(`var3')))
       		+ Li(R(1),X(`var1'))*Li(R(1),X(`var2'))*Li(R(1),X(`var3'));
			#enddo
	#enddo
#enddo

Argument Li;
	Argument X;
		repeat;	
			id x1*den(x1) = 1;
			id x1*den(-x1) = -1;
			id x1*den(1 + x1) = 1 - den(1 + x1);
			id x1*den(1 - x1) = -1 + den(1 - x1);
		endrepeat;
	EndArgument;
EndArgument;

.sort

id Li(R(1,1),X(1,x1?)) = 
	+ln(1-x1)^2/2;

id Li(R(1,1),X(x1?,x1?)) = 
	- Li(R(2),X(x1^2))/2 
	+ Li(R(1),X(x1))^2/2;

#do var1 = {x1^2,(1+x1)^2,1-den(1+x1),1-den(-x1),-x1,1+x1}
	id Li(R(n0?,n1?),X(x2?!{,1},`var1')) = 
		- Li(R(n1,n0),X(`var1',x2))
		- Li(R(n0+n1),X((`var1')*x2)) 
		+ Li(R(n1),X(`var1'))*Li(R(n0),X(x2));
	id Li(R(1,1,1),X(1,1,x1?)) = -ln(1-x1)^3/6;
	id Li(R(1,1),X(1,x1?)) 	   = +ln(1-x1)^2/2;
	id Li(R(1),X(x1?)) 	       = -ln(1-x1);
	id ln(den(x1?)) 	         = -ln(x1);
	Argument Li;
		Argument X;
		repeat;	
			id x1*den(x1) = 1;
			id x1*den(-x1) = -1;
			id x1*den(1 + x1) = 1 - den(1 + x1);
			id x1*den(1 - x1) = -1 + den(1 - x1);
		endrepeat;
		EndArgument;
	EndArgument;
#enddo

.sort

*
* Harmonic polylogs
*
id Li(R(1,2),X(1,x?)) = 
		+ z3 + ln(1 - x)*z2 - ln(1 - x)*Li(R(2),X(x)) 
		- 1/2*ln(x)*ln(1 - x)^2 - Li(R(3),X(1 - x));

id Li(R(2,1),X(1,x?)) = 
		- 2*z3 - 2*ln(1 - x)*z2 + ln(1 - x)*Li(R(2),X(x)) 
		+ ln(x)*ln(1 - x)^2 + 2*Li(R(3),X(1 - x));

*
* Special relations
*
id Li(R(2),X(1 + 2*x1 + x1^2))*ln(1 + x1) = 
       - Li(R(1,1),X(1 + x1,1 - den(1 + x1))) * (  - 2*ln( - x1) )
       - Li(R(1,1),X( - x1,1 - den(1 + x1))) * (  - 2*ln(1 + x1) )
       - Li(R(2),X(x1^2)) * ( ln(1 + x1) )
       + ln(1 + x1)^3 + ln( - x1)^2*ln(1 + x1);

id Li(R(2),X(x1^2))*ln(1 + x1) = 
       + Li(R(1,1),X( - x1,1 - den(1 + x1))) * ( 2*ln(1 + x1) )
       + ln(1 + x1)^3;

id Li(R(1,1),X(1 + x1,1 - den(1 + x1)))*ln(-x1) = 
       - Li(R(1,1),X(1 + x1,1 - den( - x1))) * ( ln( - x1) )
       - Li(R(1,1),X(1 + x1, - x1)) * ( ln( - x1) )
       - Li(R(2),X(1 + 2*x1 + x1^2)) * (  - 1/2*ln( - x1) )
       - 1/2*ln( - x1)^3;

id Li(R(2),X(1 + 2*x1 + x1^2))*ln(-x1) = 
       + Li(R(1,1),X(1 + x1,1 - den( - x1))) * ( 2*ln( - x1) )
       + ln( - x1)^3;

#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
