#procedure ConvStoZ(S,Z)
****************************************************************************
**
**  Filename:
**            ConvStoZ.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Convert $S$-sums into $Z$-sums.
**
**  Comments:
**
**
**  Revision: 
**            $Id: ConvStoZ.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: ConvStoZ.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
#do s2zcounter=1,1
   id,once `S'(R(?a),X(?x),n?) = SS(R(?a),X(?x),R,X,n);
   repeat;
     id SS(R(a1?,a2?,?a),X(x1?,x2?,?x),R(?b),X(?y),n?) = 
       + SSS(R(?a),X(?x),R(?b,a1,a2),X(?y,x1,x2),n) 
       + SS(R(a1+a2,?a),X(x1*x2,?x),R(?b),X(?y),n);
*
*  adjust the sum in the first term (SSS) so that we can
*  apply the recursion once again:
*
     id SSS(R(?a),X(?x),R(?b,a1?,a2?,a3?),X(?y,x1?,x2?,x3?),n?) =
       + SS(R(?a),X(?x),R(?b,a1,a2,a3),X(?y,x1,x2,x3),n) 
       + SS(R(?a),X(?x),R(?b,a1+a2,a3),X(?y,x1*x2,x3),n);
     id SSS(?a) = SS(?a);
   endrepeat;

   id SS(R,X,R(?a),X(?x),n?) = `Z'(R(?a),X(?x),n);

   id SS(R(a1?),X(x1?),R(?a,a2?),X(?x,x2?),n?) = 
     + `Z'(R(?a,a2,a1),X(?x,x2,x1),n)
     + `Z'(R(?a,a2+a1),X(?x,x2*x1),n);
 
   id SS(R(a?),X(x?),R,X,n?) = `Z'(R(a),X(x),n);

   id,once `S'(?a) = `S'(?a) * FLAG; 
   if (count(FLAG,1)) redefine s2zcounter "0"; 
   id FLAG = 1;
   .sort: ConvStoZ;
#enddo
#endprocedure
*
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
